DK API 文档

douyin 10

15 个接口

GETfetch batch user profile v1

GET https://dkai.store/api/v1/douyin/web/fetch_batch_user_profile_v1

27 积分 / 成功调用

参数位置要求说明
sec_user_idsquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_batch_user_profile_v1?sec_user_ids=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch batch user profile v2

GET https://dkai.store/api/v1/douyin/web/fetch_batch_user_profile_v2

131 积分 / 成功调用

参数位置要求说明
sec_user_idsquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_batch_user_profile_v2?sec_user_ids=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch cartoon aweme

GET https://dkai.store/api/v1/douyin/web/fetch_cartoon_aweme

1 积分 / 成功调用

参数位置要求说明
countquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_cartoon_aweme?count=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch challenge posts

POST https://dkai.store/api/v1/douyin/web/fetch_challenge_posts

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch food aweme

GET https://dkai.store/api/v1/douyin/web/fetch_food_aweme

1 积分 / 成功调用

参数位置要求说明
countquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_food_aweme?count=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch game aweme

GET https://dkai.store/api/v1/douyin/web/fetch_game_aweme

1 积分 / 成功调用

参数位置要求说明
countquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_game_aweme?count=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch home feed

POST https://dkai.store/api/v1/douyin/web/fetch_home_feed

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_home_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot search result

GET https://dkai.store/api/v1/douyin/web/fetch_hot_search_result

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_hot_search_result'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch knowledge aweme

GET https://dkai.store/api/v1/douyin/web/fetch_knowledge_aweme

1 积分 / 成功调用

参数位置要求说明
countquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_knowledge_aweme?count=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch live gift ranking

GET https://dkai.store/api/v1/douyin/web/fetch_live_gift_ranking

1 积分 / 成功调用

参数位置要求说明
room_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_live_gift_ranking?room_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch live im fetch

GET https://dkai.store/api/v1/douyin/web/fetch_live_im_fetch

1 积分 / 成功调用

参数位置要求说明
room_idquery必填
user_unique_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_live_im_fetch?room_id=VALUE&user_unique_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

POSTfetch multi video

POST https://dkai.store/api/v1/douyin/web/fetch_multi_video

44 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.

请求体:按接口定义传入完整 JSON。

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch music aweme

GET https://dkai.store/api/v1/douyin/web/fetch_music_aweme

1 积分 / 成功调用

参数位置要求说明
countquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_music_aweme?count=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video

GET https://dkai.store/api/v1/douyin/web/fetch_one_video

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_one_video?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video by share url

GET https://dkai.store/api/v1/douyin/web/fetch_one_video_by_share_url

1 积分 / 成功调用

参数位置要求说明
share_urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/douyin/web/fetch_one_video_by_share_url?share_url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。